/* 
   Copyright (C) 1999 Free Software Foundation, Inc.

This file is part of Nilo.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

#ifndef __ARP_H__
#define __ARP_H__

/* This is generated by running configure */
#include "niloconfig.h"

/* Define the basic data types */
#include <sys/types.h>

/* Define the PXE types */
#include "pxe_types.h"

enum arp_entry {
    ARP_MYSELF,
    ARP_THEM,
    ARP_MAXENTRY
};

struct arp {
    u_int32_t addr;
    unsigned char hwaddr[6];
};

#define MAC_BCAST_ADDR  "\xff\xff\xff\xff\xff\xff"

#if 0
struct arpMsg {
    struct ethhdr ethhdr;    /* Ethernet header */
    u_int16_t htype;         /* hardware type (must be ARPHRD_ETHER) */
    u_int16_t ptype;         /* protocol type (must be ETH_P_IP) */
    u_int8_t  hlen;          /* hardware address length (must be 6) */
    u_int8_t  plen;          /* protocol address length (must be 4) */
    u_int16_t operation;     /* ARP opcode */
    u_int8_t  sHaddr[6];     /* sender's hardware address */
    u_int8_t  sInaddr[4];    /* sender's IP address */
    u_int8_t  tHaddr[6];     /* target's hardware address */
    u_int8_t  tInaddr[4];    /* target's IP address */
    u_int8_t  pad[18];     /* pad for min. Ethernet payload (60 bytes) */
};
#endif

void
add_to_cache(u_int32_t addr, unsigned char *hwaddr, enum arp_entry a);

unsigned char
*lookup_addr(u_int32_t inaddr);


#endif /* __ARP_H__ */
